Package org.eclipse.ecf.discovery

# Class ServiceTypeContainerEvent

java.lang.Object
org.eclipse.ecf.discovery.ServiceTypeContainerEvent

All Implemented Interfaces:
  `IContainerEvent`, `Event`, `IServiceTypeEvent`

public class ServiceTypeContainerEvent extends Object implements IServiceTypeEvent
Base event implementation of `IServiceEvent`. Subclasses may be created as appropriate.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ID`
`containerID`
`protected IServiceTypeID`
`serviceType`

## Constructor Summary

Constructors
Constructor
Description
`ServiceTypeContainerEvent(IServiceTypeID serviceType, ID containerID)`

## Method Summary

Modifier and Type
Method
Description
`ID`
`getLocalContainerID()`
Get ID of local discovery container (the discovery container receiving this event).
`IServiceTypeID`
`getServiceTypeID()`
Get service type id for this service type event.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### serviceType

protected IServiceTypeID serviceType

### containerID

protected ID containerID

## Constructor Details

### ServiceTypeContainerEvent

public ServiceTypeContainerEvent(IServiceTypeID serviceType, ID containerID)

## Method Details

### getLocalContainerID

public ID getLocalContainerID()
Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getServiceTypeID

public IServiceTypeID getServiceTypeID()
Description copied from interface: `IServiceTypeEvent`
Get service type id for this service type event.

Specified by:
  `getServiceTypeID` in interface `IServiceTypeEvent`
Returns:
  IServiceTypeID for this service type event. Will not be `null`.